## gigalomania 0.24

=== Makefile ===
CC=g++
CCFLAGS=-O2 -Wall
CFILES=game.cpp gamestate.cpp gui.cpp image.cpp main.cpp panel.cpp player.cpp resources.cpp screen.cpp sector.cpp sound.cpp utils.cpp
HFILES=game.h gamestate.h gui.h image.h panel.h player.h resources.h screen.h sector.h sound.h utils.h common.h stdafx.h
OFILES=game.o gamestate.o gui.o image.o panel.o player.o resources.o screen.o sector.o sound.o utils.o main.o
APP=gigalomania
INC=`sdl-config --cflags`
LINKPATH=`sdl-config --libs` -L/usr/X11R6/lib/ -L/usr/lib

LIBS=-lSDL_image -lSDL_mixer

all: $(APP)

$(APP): $(OFILES) $(HFILES) $(CFILES)
	$(CC) $(OFILES) $(CCFLAGS) $(LINKPATH) $(LIBS) -o $(APP)

.cpp.o:
	$(CC) $(CCFLAGS) -O2 $(INC) -c $<

# REMEMBER to update debian/dirs if the system directories that we use are changed!!!
install: $(APP)
	mkdir -p $(DESTDIR)/opt/gigalomania # -p so we don't fail if folder already exists
	cp $(APP) $(DESTDIR)/opt/gigalomania
	cp readme.html $(DESTDIR)/opt/gigalomania
	cp -a gfx/ $(DESTDIR)/opt/gigalomania # -a need to copy permissions etc
	cp -a islands/ $(DESTDIR)/opt/gigalomania
	cp -a sound/ $(DESTDIR)/opt/gigalomania
	cp gigalomania.desktop $(DESTDIR)/usr/share/applications/
	cp gigalomania_fullscreen.desktop $(DESTDIR)/usr/share/applications/
	cp gigalomania64.png $(DESTDIR)/usr/share/pixmaps/
# REMEMBER to update debian/dirs if the system directories that we use are changed!!!

uninstall:
	rm -rf $(DESTDIR)/opt/gigalomania # -f so we don't fail if folder doesn't exist
	rm -f $(DESTDIR)/usr/share/applications/gigalomania.desktop
	rm -f $(DESTDIR)/usr/share/applications/gigalomania_fullscreen.desktop
	rm -f $(DESTDIR)/usr/share/pixmaps/gigalomania64.png

install_maemo: $(APP)
	mkdir -p $(DESTDIR)/opt/gigalomania # -p so we don't fail if folder already exists
	cp $(APP) $(DESTDIR)/opt/gigalomania
	cp -a gfx/ $(DESTDIR)/opt/gigalomania # -a need to copy permissions etc
	cp -a islands/ $(DESTDIR)/opt/gigalomania
	cp -a sound/ $(DESTDIR)/opt/gigalomania
	mkdir -p $(DESTDIR)/usr/share/applications/hildon/
	cp gigalomania_maemo.desktop $(DESTDIR)/usr/share/applications/hildon/
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	cp gigalomania48.png $(DESTDIR)/usr/share/pixmaps/
	chmod a+x gigalomania_mobile.sh # workaround for permissions not set in zip file!
	mkdir -p $(DESTDIR)/usr/bin/
	cp gigalomania_mobile.sh $(DESTDIR)/usr/bin/gigalomania_mobile.sh

uninstall_maemo:
	rm -rf $(DESTDIR)/opt/gigalomania # -f so we don't fail if folder doesn't exist
	rm -f $(DESTDIR)/usr/share/applications/hildon/gigalomania_maemo.desktop
	rm -f $(DESTDIR)/usr/share/pixmaps/gigalomania48.png
	rm -f $(DESTDIR)/usr/bin/gigalomania_mobile.sh

install_meego: $(APP)
	mkdir -p $(DESTDIR)/opt/gigalomania # -p so we don't fail if folder already exists
	cp $(APP) $(DESTDIR)/opt/gigalomania
	cp -a gfx/ $(DESTDIR)/opt/gigalomania # -a need to copy permissions etc
	cp -a islands/ $(DESTDIR)/opt/gigalomania
	cp -a sound/ $(DESTDIR)/opt/gigalomania
	cp gigalomania_maemo.desktop $(DESTDIR)/usr/share/applications/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	cp gigalomania48.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	chmod a+x gigalomania_mobile.sh # workaround for permissions not set in zip file!
	mkdir -p $(DESTDIR)/usr/bin/
	cp gigalomania_mobile.sh $(DESTDIR)/usr/bin/gigalomania_mobile.sh

uninstall_meego:
	rm -rf $(DESTDIR)/opt/gigalomania # -f so we don't fail if folder doesn't exist
	rm -f $(DESTDIR)/usr/share/applications/gigalomania_maemo.desktop
	rm -f $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/gigalomania48.png
	rm -f $(DESTDIR)/usr/bin/gigalomania_mobile.sh

clean:
	rm -rf *.o
	rm -f $(APP)

## gigalomania 0.22

=== debian/changelog ===
gigalomania (0.22) maverick; urgency=low

  * Fail rather than crashing if unable to find any maps for an age.
  * Don't reset music/sound on/off choice when switching to next age or
    island.
  * Wasn't updating control panel GUI properly when buildings were
    destroyed.
  * If a building is destroyed, people in that building are now lost.
  * Ported to Nokia smartphones running Symbian.
  * Ported to Nokia smartphones running Maemo (N900) and Meego (N950, N9).
  * Auto-slow: slows to slowest timerate automatically when one of your
    sectors is attacked.
  * Pause button on main screen, to allow pausing without pressing
    keyboard; click anywhere to unpause.
  * Quit button on main screen, to allow quitting without pressing
    keyboard.
  * Option to enable UI that works with only one mouse button (can also be
    enabled by default with the command line option "onemousebutton").
  * New command line option "mobile_ui", which enables the UI to work when
    no mouse pointer present; also enlarges the UI click regions, to make
    icons easier to click on a touchscreen.
  * Progress bar shown on start up.
  * In-game help text.
  * Option to disable sound.
  * Application icon for Windows, Linux, Maemo, Meego and Symbian.
  * Online Help link for Symbian version.
  * Improved documentation.
  * Requests for confirmation before quitting a game.
  * Significantly faster start up time.
  * Improved input model - mouse clicks and presses now properly
    distinguished.
  * Better support for various widescreen and mobile resolutions.
  * Expanded UI click region for text buttons.
  * Various changes to UI to work better on small touchscreens.
  * Improved lightbulb and lab icons.
  * Made lightbulb icon easier to see against background.
  * Reduced file sizes of some of the image files.
  * Linux version now installs to /opt.
  * Linux version now stores data in ~/.config/gigalomania instead of
    ~/.gigalomania.

 -- Mark Harman <mark.harman@ntlworld.com>  Fri, 10 Feb 2012 23:12:00 +0000

gigalomania (0.21) maverick; urgency=low

  * Game sometimes crashed when starting an island, when playing a second
    time or later.
  * Fixed makefile for GCC 4.6 (Ubuntu 11.10 Oneiric).
  * Game window is now centred when run in windowed mode.

 -- Mark Harman <mark.harman@ntlworld.com>  Mon, 16 Nov 2011 23:47:00 +0000

gigalomania (0.20) maverick; urgency=low

  * Assertion failure on startup if resolution less than
    640x512 (the game will now work at this low resolution,
    though note the graphics won't look that great).
  * Changed height resolution from multiples of 256 to
    multiples of 240 (more compatible with typical PC
    resolutions).
  * Smoother scaling, to improve graphics quality when run at
    lower resolutions (320x240 or 640x480).
  * Windows version now compiled with Visual Studio Express
    2010 SP1.
  * Windows version now uses the Visual C++ runtime DLLs,
    instead of including them in the exe (generally safer,
    when using 3rd party DLLs).

 -- Mark Harman <mark.harman@ntlworld.com>  Mon, 31 Oct 2011 00:15:00 +0000

gigalomania (0.19) karmic; urgency=low

  * First packaged release.

 -- Mark Harman <mark.harman@ntlworld.com>  Fri, 29 Jul 2011 00:29:43 +0100

=== debian/control ===
Source: gigalomania
Section: user/games
Priority: optional
Maintainer: Mark Harman <mark.harman@ntlworld.com>
Standards-Version: 3.8.3.0
Build-Depends: debhelper (>=7), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
Homepage: http://homepage.ntlworld.com/mark.harman/comp_gigalomania.html

Package: gigalomania
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D Real Time Strategy game
 The gameplay consists of researching and developing new technology with which
 to conquer your enemies, from rocks and sticks to nuclear weapons and
 spaceships. You can advance through ten different ages, from the stone age to
 the future. There are 28 different maps to play through.
XSBC-Bugtracker: mark.harman@ntlworld.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAFXRFWHRDcmVhdGlvbiBUaW1lAAfb
 BhcXLwu/BWuqAAAAB3RJTUUH3AIBFwQ22eunmQAAAAlwSFlzAAAK8AAACvABQqw0mAAAE+hJREFU
 eNq9WQmTXFd1vut7r1/vy+yj0TqSbO3Cliw7GEu2ZatsVhPAEIOBACYGAiTFYkKxhFSRFIQCEggU
 plzBCRCMY8oYG4SdWCCwbCRZkmUsWZtH0uwzvb5+y91y7muJn5CuqZ6e7n73nnvOd77vO29wX6mE
 GCIkj5VIVJf6LokNlhGiTpSE5x4PN9+15vqrlj3xmyOUZyLBHK+EscHGKCUQ58ZgirWW0bLR8vnJ
 ECOW0Awn6KrNqw6d6mDiGZVIRVHS4Q56/a7xR5941uEqiiKEsEwkwRIZY5CmBPVXi416QP2MR6mj
 YVmVYGSoMlgbQyBGnzK2c0M2Ey88vL/JHBdj7HEvwlXFcrDQYMkJY2MoUwmsThebkuqQUgiRUzc/
 uRAxv5ar1hwvg5BAJoFVT5yZjo2nlSLYDUTgMEKNSximiFFMWp0u0hLXKkXHyRoz897t18RJ0GiH
 A9VaELSPD9935LF7Z9tRf7m8aeMVR184qbgHSYoldbyKjJuU5bDLUVDHlBqsIA6iQkiYcctOrqIU
 rQ4tpf3j8GUxvX9ucppTIoUiqj5WYi9Pw5FDojTRSRKHhCijFTWKak2w0Y3GtIfV0tsO/OD482MD
 g0GcKOr8avKtCNP+YgEZ9MKxE4TYkxCMXSywCphbMZghp8wKY5J6FFGOCWIZxPOe68jY5Iv54tKN
 a3Zs27BzI+WDzM9w7nEnS7yhKVXmPse8gDjTyHPcIqEZWItgyBgjmLq5Qi1R6PhPt3x0x65ODIXD
 /YUcgvphcvbJux8v+3Bs+KYWsUnCkaFsFLexiJmXK+crbrEiEgCCpxknzEHEUwAZRhTPbH/fdedP
 L5w4cKpRn825RcT9YsVnfpY7NceplCoV6tYIdwVlGrvC4VBTSBTN5cvG6I1b1o25vBsnZ8+d70rl
 UHpl9oenJ+sffnKq8rnj3/xFiTLOKAUkQlKRxBITgzNOIWfxhgWCrsAZoYTjwrrEzfdl8sX56VpY
 P69EINvz1MnkS6VQuIh7ftl3vWwiMeXIkIyBE0hBCSPQJ0mER0ZGJSBdXLhr2/YwFoPV/A/WHX35
 YL1cNO7eUQThy5DxrFQdynzMc9AQIkFOLm9IjpcHNUZRYw4Wdj0o+0ISF6BDcn1LkclmywXjlAml
 jdm2X5QOdQA4bjHvVJdpbcKLxxrnz4ioYcK2IQh1m0hHRjYIoI8yzA2KhVjSX16cnbvt96v+wd95
 x8BDgqDPPn7ntr/LatvljsKeVHCYeMNt/thARyZh2JhOVJirlFzPSSK65q7DOfqsQ3NS4Hy5EsQy
 k8lJHSxMfcEED/NcwfNdXhwc3rbyuuWr/IE1M0e/k3FrCYJEQXu7wgBKc+w9Vw0XSOfz0/t/9OI1
 Rl2kGKAQEbRA2aehoM/PPREMnx2vbkCQBIAV4cA59WDhwqlg3ah76sIZ2uWjw+NuxRv/0MSZl4uT
 4pW+9jOok28vZpav3Mi7jfGdT2l+e+eVR0ov/WSu1aHcWYJeP0F52clmBugQnhguJVOLrVpGOgVq
 JGaxNBMxk26fAVgy1+gYIWVQJhHKdZyfvbMl0RV3b/INZBkABCymyJllbrI17J9vBRm1beWANvNE
 4Bd/PJWVhZVrRjInYqAPz5DxSMlAHZ24GC+c7pMjE/J31VYGkFg+1DJwvrX8+g9sqn/3uWYU5xDa
 PDiEDZFIsW6SjAFbc4+dYVoLx8kl1JNBy3MySgPLdTIcwUMDLcIvpSVCTpOdeXHGRcJlDEAtlWYO
 DQf1y89OTJ3vbvdHDWcep7ArJaR9QflD7vQz85WSRzCC72u7HprAi+gnQKpxLZfJcgY4Zgwx6OaS
 7wmt5093hwjwQk4Y6jEmbDRIQ/VQKVKQMwTxaK0gLMjR4LFwDR/gWm1ZNghRMqB9Ywq/9neMDp3z
 ZmgaehALiwxjds+Pv+HfvvIvR99/aq4OYL16xTD05zef/AN6Em19+/JSnf7v8TPl/uHpQydX9BVh
 Uwbnm6138jVfXuCM+QjnYw2MGCuWATmBMtlmTx8EE4gJdEq57NolfakIGSBMiFRos6RWONVubV0y
 kHHYdCOoFWyVEUGx0p/+zLfOHD/1hh0bIaPKhnlpwZH5NbXtK5/67r9Os0m0AxWLlW7QopuX1IYq
 xamhP++ee7Ba6Vt/z3fmT+xXCOgR6Dp727u+XHfWrYoOwKHtOsaIdEEAFLU5M5TSFy7Mzja7AyV/
 xPWPnJ/pL+Z8zmya7AVwKDLcrV+5ZAABlds37NNtd75369p1h1966ZZdt94xs3vtk8tv3nVj/9DI
 6RPHWcHPwCmPHMuuoHh2bm766x+AtTI8i0qjptuY8l9dH9Co/g0ovJLaPsehNthxnMNnJ2dbXSGF
 57oQ2Vw7gLrCF7pJDBoBySQUOEWnwAPewJb606TCq2XlivQymzesEWEIkr1hy6aF81NLVq99HDrr
 n/f+JklY7e2o/Yo0IFWoy91iELYzzEOEnXjgVr14Hq3LQ7FAQGDJza+9+68++QnY5tbXXD+UKzz8
 2M8RArVHa4eqvfM7jKepwVBHK3DGvimNAZXq1R1i6lt7pWjPf+ffHxwcHH3rm15brNa+8NBPieuA
 GJD3Xnf1F954/av6/8g5tCSLhAmjltI07AbGzb/jDa++/dZrbGKUxTVoerFcu4wptuemm9Dlh3U1
 0FYGOdBaaX1thYj9oVC3Xv1gBaAUjPfcfsvr7nyHCLpMRfNnz954655f/HpvxnFhDfZfZwXSs+vM
 5xPoXg5XuhRBurXLXKzCHddsnpkZPPKfxwjYMAmNh3Iu/+zffjzpRGtXrfY875Mf+ghwZeK6j/zo
 AcjAjRuWQ2QU4R3X37Rv317AmgUf/A3YTzGXht5rfER9/81vfsvE9IIUoIboxNlzNui+5ZsVmAfi
 CC0Xzjz7yycee+injzx+YEIIlSmVE0G2Rr9fPTqUWADZJIxtvaEVyqDZACMVJibn8U636xWKP3rw
 e7dsWKGNtoXFuDWjWVlt2/bqvkz96WdOpn2ge31JKb5qz11xLAuFrISexcyEYRSHfYNL7vvUvbhv
 9S4BbI3iVG+NJMZ1C9lsth2jXI5nytU90b6EurCJsMsZnUQjN73NUerM5PTv9u9733ve3W60sVEL
 h/ZazBvAMk3rYm773N+3/+LjTy0HRwoJopc7DAEah7ffCk4DMBs26/lKCd5ptVovHTtMu/MMeJA6
 xCe0E8pKX7nZCmtVc+FCo37uueK1bxQ6A3COAFNgpAmygOTe1NOPmBSkX/roB+I4PvH7n9MeWUE3
 EQsgAO67vvnDO265WfbVbrfXIKmVrVna+ZbeQDHjgBHyj9/+1vDg0N1vu5MjKhcvjg3WGOM5OH8c
 R44S3aiDNVtYdDM5nNu4CxwmiyHRsElahvRh17fti4xC+UqtyFjvb2ytP+6h++tbd236/v2vH68C
 KxKUXgWfGt0DPgBp+sDPlb1K33vjVYCy9rF9gP2lA1UFcRvmYOKCx4OuTiLwIoJzSLsvjTWThsdd
 8CaATZsgm+0eHmFrQHgUBZ7nVwYGUnDYWKBSQX1+7X//bNehvcoOJJaZcAplZPMLSdSpF02bDk4K
 7gJSRmzYEAcciNTGVu3Yvgo0C7GsoUWYLuIo0pKUi4Urr1vvuiUKC6XVN702Tg9pXxLiOF4C9NBq
 2aWhoLa/SbZU2b2kIJHlCMgNJ5YUbTFtrewXbOSXVBFyZJDFtelxhPXUSYyO/LEjqQKrwxkC9uF+
 CXEZJuLlg+cwOHatenAExwuRmF6CsO0W7rr1xdkkinpFTC0B7qVBSoWtj7FtoNKiQjng6l6nSUsB
 Gs6gbQUNvrSsAdYhXiGvOCNeCdw/cx04H7UuDNjMpRnXzZfhCiugl1nu8oNUB4ayubznZVIcpyWj
 tpAmlQgYtHRaJIvBnp6mQEI2SRZPykqKLZ0yvbhN7xswsuVRrGFkSpIuWMRI6zgG95ERIkLCJI2O
 9e/GOhucAudPzFyfm2k16sW+/nL/QGp9LP9B8i+3GukFb09DbL2siNh51JaSACaUhKi0EjqBxhG9
 tMMOzO0fSRYmcRIJUE+YaICJqHfzq5btfWba6I7oJvAtalvZDrSXmKQHU2BupWAqlmEn54BfsaYS
 cg1Igg8jIXHqTlL9stxM0nGwt/HWO+4pDA+JiYkuCDnMK0ND933knrQnMEu6MG4KIYNsxg9EUwvg
 CPHLfS/GmnpRnpDU9qT4xymYix77p8efhXU/fOPWpw8eaS7Of/+x34bC7jRWLfgOh1N2Y/naLeOm
 l6hLJ7esaRFtGxFoWIpG4x0f+yhcddMNN+7edYP93FYUkWBhQhrQMRy0WwLcsEhkEjEYUKXqdpox
 wBPSAAi0z1B3tOMtf9PL0gmRP3zo6O4bbsZOpvcOGGaUGnIY2uGqXjR2kjPmhr0Hj8/We6HZnHl+
 d36+d5UWglMH9boO/KepT8g4wqaLe3bGWmQcR52P33HFQ3tnL8YR8JFOUZmyCZxDf+2rXxNx93/2
 7dvzmt3fuP/+j9zzwZHRsdHh2ic+dA/MkxDHzvUrgMfBflBQEosfvG/31bVfPffKtRuWZF0YyJ1K
 UWTdL37qM+DJ9x85OLhyHKfpsYY4ajZzuUKze9FIqUGvZEBgLsbOtx8+rL08TJK6AMMgtR0PYECm
 NXWxlMtmHOdNO/dcmL3ACd20YtVcq92aaURx7DNuF4WygHewXW3PCC+gI0Zu2RYJAWWEhMXTFxNj
 apW+ahU2L8WLU7oHaviyqE/XmzMW8DKxbUq5xTyVAnEAIcZx2l52krNCBFpeK5WqxSghpw//4ctf
 /YpNMufvv+eDUiZQ1UvGCJKiiW0qK+6wDe4l2OUcWZ+Neb5UK5a6Uasdy9qyUWg1fFl6LcUo0agU
 uRaRDjtYCcQCEQcyaUUhNAHyYFyzlgHI1LKLn83Pnbs4d+bkUCn++v3X/eDha8GGNibnZicmSSqx
 PW4ENtrPZ9Hl09hcXeIv+zR54fR//PCBYK6Rha5amBPNRfi0k6i73rmBdLoNKPPswgJwKaDHKMFl
 1iOWIIwIdqI/4nSPVGCtWoeL84VSqTY6ElXOfflTB46eao4uCcojAw5zbXJsMyGYq6AuczMdi4Je
 GL3RxRKzzdCjzzzK+tt/+aW//v6DD5w+c2520QL8dVtWTh/q0NFlK7vdgFr8SYwSghnwkTQSxjZQ
 sXpiVlasuEKKaHoDp7p6i44g2d1YHXBoMciq84uzJ/8w3xXxS88fdD1v5xVLU9olR9uzJMFjxcK+
 E+ePTsyOD1asacQ6N+g3r56WbjJ7duH4wbMQYDZfWsqCtHEw9avjtXI+aDfhT+Ygro3sAQEcnhGf
 +eBb58+etFxrQWS5UTqV+U47UYJ1lk4Gjad++3K1uaq+OCcS1arP3rRuuZ3GoAu0XlyqxbSE0QT8
 //olfb2Oh6UOhBdPPtsOnosTJK8s1eJ2Y/7cy8PlHE0LTK+592OtidNCCRV2gdITIQr5DCCUYyq1
 PHj4+NqaZxuXEp12QueVowOjazB32836t7/349es/7Nmu3Xt1duH+gaXsjbk1t7dwjhHnKmzUZwo
 Gat1w1Wdalwvpklp1leyyUbWf8EHYr929VjGoR7nKT8gXB2/Kuv4UWfWcpgSqSACzpHrOt1EvHtj
 qWc67X1XbW0RsUJtxQNWF1LNtbtDpawdau3NLNSV4JK1Y6cF/OixF3Ist/PKZUKlGp/Kqp26QV0M
 fv6VmU3L+p85fXG0nB+tFFIHSFLnn8sp0bK3rgy672Pve/p3z4H02O2tXur1fa5OrbLBf+ofe9Te
 vAfSUHCd3jxKU17rOTKSKujKvtpIuQBBI3tj1y4CCeiJNNQUjgFLjlYLRc86sx4J2Z+hsWUbN698
 /tAZyAO4KmbDsShQEjOsaXcR/f8+cHVwFPgDYvDcYpzUYUYG4YdRzSE0xUyP6CA3ruMQSXwwXoWB
 1XE4LQXomwTV84s5oZ3y0rWIFd3iMFybq1Zl3CUSoBgo+AkaSCaJBp6LgvYibBa121o0dAxuRQqC
 OfyKQyDN0dEhmivkIIXgZpIkBCYC+tFGYUphqh0azjUbERSWM96bWqgxQQj+UCVxnWpw3zSJgSlc
 N1eSMC7DO9kS97hNLeykOjoIkm7DxItgY2CQEHEDQ5RWOiNwGFiHCLoVLKwMwUtRlzdbTZr188r6
 o/R2VBxbireOTIEYLc5HlBl7l8neObD+x2DmZtw8DJAk9aTSDA0WuxGUOAMozBbLiDuE29t+QoY4
 CsPmrIhaGGKTIgLHJRpURHHUFqGgGN5UsJUQHQ75AGNtNVxZyBDrdRV4Tu6wFHDAySCB0CwwvsLQ
 B5Ou0D1/aiUAS3eFjwlYadCTuUZLUvsvCytTcRgHM1J0VRJSIaOgZcCGQHJiYBWBZAAjctaH+iiE
 A+CXpYMD0NNZ3+/pCthw20luLkMgJLtx774dxE5gboYXEBwULokS7rjLxoYbrQBzR8LcEs9GSeLC
 gIpyOuwyJwvv6xgOGMAq1oVZ1amL1oyIujppqjC2TZKESWM+SVpQIccvO16l0Zo01AFBhvKh9IaT
 SbrUzUBAGOCZiqDKFitJ3KVpkpQVot6/FGij2YaxR9D86NqtjalzICypN0bUShh2fGK8DJgXRvyw
 NcWxjgPAbABtrpI6Y24StnXYQjoJ6lY0wzAQYR3qWvJoFCUMq0SErqVFhPP9FS4vSRmwM8QG4sio
 mwqktqoKGEW0BzLheB4DheZCu1y1MXV86yKkVyil1pTa/w1A7cLIVh5bOEJnJhH0VCgiUMwEKJcS
 gDNAJU5AIQFwUEHLM8Dx9sr/A61NgN5HeVhXAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/gigalomania.sgml > gigalomania.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/gigalomania.
	$(MAKE) DESTDIR=$(CURDIR)/debian/gigalomania install_maemo


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gigalomania 0.24

=== debian/control ===
Source: gigalomania
Section: games
Priority: optional
Maintainer: Mark Harman <mark.harman@ntlworld.com>
Standards-Version: 3.8.3.0
Build-Depends: debhelper (>=7), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
Homepage: http://homepage.ntlworld.com/mark.harman/comp_gigalomania.html

Package: gigalomania
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D Real Time Strategy game
 The gameplay consists of researching and developing new technology with which
 to conquer your enemies, from rocks and sticks to nuclear weapons and
 spaceships. You can advance through ten different ages, from the stone age to
 the future. There are 28 different maps to play through.

## gigalomania 0.25

=== debian/changelog ===
gigalomania (0.25) precise; urgency=low

  * Auto-slow sometimes activated when player wasn't being attacked.
  * Clicking on Player Select screen, but not on one of the choices, caused
    the mouse cursor to disappear.
  * One mouse button option got reset, if changed to a new island or age
    before playing.
  * Minor issue with one mouse button UI (sometimes incorrectly registered
    a click when changing to a new panel).
  * Back button on Android now works properly (i.e., to quit the game).
  * Sound now supported on Android. Android version now requires at least
    Android 2.3.3.
  * Display start date for each epoch when choosing island to play.
  * Confirm when selecting new game.
  * More help text.
  * Popup text now displayed when clicking on some icons, for touchscreen
    platforms.
  * Port for AROS (with binary for x86).
  * Re-added support for Mega Lo Mania data.
  * Improved graphics.
  * Updated player select screen.
  * Automatically pause game when window is deactivated (was already doing
    this for Symbian, but not other platforms; still not supported for
    Android).
  * Improved alignment/width of the health bars in the main viewing area.
  * Sound enabled setting now saved on Symbian and Android versions.
  * Now using high resolution graphics for Android.
  * Improved startup performance.

 -- Mark Harman <mark.harman@ntlworld.com>  Thu, 5 Apr 2012 12:15:00 +0100

gigalomania (0.24) maverick; urgency=low

  * Fixed possible crash when loading save games.
  * Building health bars weren't reduced properly.
  * In element stocks screen, positioning of number of elements was
    sometimes slightly obscured by the element icon.
  * Ported to Android.
  * Boosted tower strength by 50% (not so easy to destroy, and lasts longer
    on average than other buildings).
  * Reduced effectiveness of shields (problem of taking ages to destroy
    sectors when AI can keep using shields).
  * People no longer killed if a building destroyed.
  * Your people and armies are automatically evacuated if the tower is
    destroyed.
  * Health bars shown for buildings in main screen view, including for enemy
    sectors.
  * Improvements for touchscreen UI.
  * Screenblanking disabled on Android/Symbian/Maemo/Meego.

 -- Mark Harman <mark.harman@ntlworld.com>  Thu, 5 Apr 2012 12:15:00 +0100

gigalomania (0.23) maverick; urgency=low

  * Trash designs wasn't working in two mouse button mode (for Windows,
    OS X, Linux - Symbian, Maemo and Meego were unaffected).

 -- Mark Harman <mark.harman@ntlworld.com>  Sun, 19 Feb 2012 14:42:00 +0000

## gigalomania 1.0%2Bds1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 CC=g++
 CCFLAGS=-O2 -Wall
-CFILES=game.cpp gamestate.cpp gui.cpp image.cpp main.cpp panel.cpp player.cpp resources.cpp screen.cpp sector.cpp sound.cpp utils.cpp
-HFILES=game.h gamestate.h gui.h image.h panel.h player.h resources.h screen.h sector.h sound.h utils.h common.h stdafx.h
-OFILES=game.o gamestate.o gui.o image.o panel.o player.o resources.o screen.o sector.o sound.o utils.o main.o
+CFILES=game.cpp gamestate.cpp gui.cpp image.cpp main.cpp panel.cpp player.cpp resources.cpp screen.cpp sector.cpp sound.cpp tutorial.cpp utils.cpp TinyXML/tinyxml.cpp TinyXML/tinyxmlerror.cpp TinyXML/tinyxmlparser.cpp
+HFILES=game.h gamestate.h gui.h image.h panel.h player.h resources.h screen.h sector.h sound.h tutorial.h utils.h common.h stdafx.h TinyXML/tinyxml.h
+OFILES=game.o gamestate.o gui.o image.o panel.o player.o resources.o screen.o sector.o sound.o tutorial.o utils.o main.o TinyXML/tinyxml.o TinyXML/tinyxmlerror.o TinyXML/tinyxmlparser.o
 APP=gigalomania
-INC=`sdl-config --cflags`
-LINKPATH=`sdl-config --libs` -L/usr/X11R6/lib/ -L/usr/lib
+INC=`sdl2-config --cflags`
+LINKPATH=`sdl2-config --libs` -L/usr/X11R6/lib/ -L/usr/lib
 
-LIBS=-lSDL_image -lSDL_mixer
+LIBS=-lSDL2_image -lSDL2_mixer
 
 all: $(APP)
 
@@ -15,7 +15,7 @@
 	$(CC) $(OFILES) $(CCFLAGS) $(LINKPATH) $(LIBS) -o $(APP)
 
 .cpp.o:
-	$(CC) $(CCFLAGS) -O2 $(INC) -c $<
+	$(CC) $(CCFLAGS) -O2 $(INC) -c $< -o $@
 
 # REMEMBER to update debian/dirs if the system directories that we use are changed!!!
 install: $(APP)
@@ -24,16 +24,21 @@
 	cp readme.html $(DESTDIR)/opt/gigalomania
 	cp -a gfx/ $(DESTDIR)/opt/gigalomania # -a need to copy permissions etc
 	cp -a islands/ $(DESTDIR)/opt/gigalomania
+	cp -a music/ $(DESTDIR)/opt/gigalomania
 	cp -a sound/ $(DESTDIR)/opt/gigalomania
+	# needed for DESTDIR option:
+	mkdir -p $(DESTDIR)/usr/share/applications
 	cp gigalomania.desktop $(DESTDIR)/usr/share/applications/
-	cp gigalomania_fullscreen.desktop $(DESTDIR)/usr/share/applications/
+	#cp gigalomania_fullscreen.desktop $(DESTDIR)/usr/share/applications/
+	# needed for DESTDIR option:
+	mkdir -p $(DESTDIR)/usr/share/pixmaps
 	cp gigalomania64.png $(DESTDIR)/usr/share/pixmaps/
 # REMEMBER to update debian/dirs if the system directories that we use are changed!!!
 
 uninstall:
 	rm -rf $(DESTDIR)/opt/gigalomania # -f so we don't fail if folder doesn't exist
 	rm -f $(DESTDIR)/usr/share/applications/gigalomania.desktop
-	rm -f $(DESTDIR)/usr/share/applications/gigalomania_fullscreen.desktop
+	#rm -f $(DESTDIR)/usr/share/applications/gigalomania_fullscreen.desktop
 	rm -f $(DESTDIR)/usr/share/pixmaps/gigalomania64.png
 
 install_maemo: $(APP)
@@ -41,6 +46,7 @@
 	cp $(APP) $(DESTDIR)/opt/gigalomania
 	cp -a gfx/ $(DESTDIR)/opt/gigalomania # -a need to copy permissions etc
 	cp -a islands/ $(DESTDIR)/opt/gigalomania
+	cp -a music/ $(DESTDIR)/opt/gigalomania
 	cp -a sound/ $(DESTDIR)/opt/gigalomania
 	mkdir -p $(DESTDIR)/usr/share/applications/hildon/
 	cp gigalomania_maemo.desktop $(DESTDIR)/usr/share/applications/hildon/
@@ -61,7 +67,9 @@
 	cp $(APP) $(DESTDIR)/opt/gigalomania
 	cp -a gfx/ $(DESTDIR)/opt/gigalomania # -a need to copy permissions etc
 	cp -a islands/ $(DESTDIR)/opt/gigalomania
+	cp -a music/ $(DESTDIR)/opt/gigalomania
 	cp -a sound/ $(DESTDIR)/opt/gigalomania
+	mkdir -p $(DESTDIR)/usr/share/applications
 	cp gigalomania_maemo.desktop $(DESTDIR)/usr/share/applications/
 	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
 	cp gigalomania48.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/

## gigalomania 1.0+ds1

=== debian/changelog ===
gigalomania (1.0+ds1-1.2) unstable; urgency=medium

  * Team Upload
  * Set Rules-Requires-Root: no

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #941191)
    + Let dh_auto_build pass cross tools to make.
    + Rename the C++ compiler to CC.
    + Use a pkg-config from dpkg's buildtools.mk in d/rules.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 03 Dec 2024 01:18:20 +0100

gigalomania (1.0+ds1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:08:15 +0100

gigalomania (1.0+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #865784)

 -- Jose G. López <josgalo@gmail.com>  Sun, 11 Mar 2018 09:48:27 +0100

=== debian/control ===
Source: gigalomania
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jose G. López <josgalo@gmail.com>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.0), libsdl2-dev,
 libsdl2-image-dev, libsdl2-mixer-dev, libtinyxml-dev
Rules-Requires-Root: no
Homepage: http://gigalomania.sourceforge.net
Vcs-Git: https://salsa.debian.org/josgalo-guest/gigalomania.git
Vcs-Browser: https://salsa.debian.org/josgalo-guest/gigalomania

Package: gigalomania
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gigalomania-data (= ${source:Version})
Description: Mega-Lo-Mania-like god game
 Gigalomania is an open source 2D Real Time Strategy god game.
 The gameplay consists of researching and developing new technology with which
 to conquer your enemies, from rocks and sticks to nuclear weapons and
 spaceships. You can advance through ten different ages, from the stone age to
 the future. There are 28 different maps to play through.
 .
 This package contains the main program.

Package: gigalomania-data
Architecture: all
Depends: ${misc:Depends}
Description: Mega-Lo-Mania-like god game (data files)
 Gigalomania is an open source 2D Real Time Strategy god game.
 The gameplay consists of researching and developing new technology with which
 to conquer your enemies, from rocks and sticks to nuclear weapons and
 spaceships. You can advance through ten different ages, from the stone age to
 the future. There are 28 different maps to play through.
 .
 This package contains gigalomania data files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG?=pkg-config
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DATADIR="/usr/share/gigalomania" \
	CC='$$(CXX)' CCFLAGS="-g -O2 -Wall $(CPPFLAGS)" \
	LINKPATH="$(LDFLAGS) `sdl2-config --libs` -L/usr/X11R6/lib/ -L/usr/lib" \
	LIBS="-lSDL2_image -lSDL2_mixer `$(PKG_CONFIG) --libs tinyxml`" all

override_dh_auto_install:
	$(MAKE) DESTDIR="$(CURDIR)/debian/tmp/gigalomania" \
		PREFIX="$(DESTDIR)/usr" \
		SHAREDIR="$(DESTDIR)/usr/share" install

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean
